Solutions - Get Solution
Gets a solution in the migrate project.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/migrateProjects/{migrateProjectName}/solutions/{solutionName}?api-version=2018-09-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
migrate
|
path | True |
string |
Name of the Azure Migrate project. |
|
resource
|
path | True |
string |
Name of the Azure Resource Group that migrate project is part of. |
|
solution
|
path | True |
string |
Unique name of a migration solution within a migrate project. |
|
subscription
|
path | True |
string |
Azure Subscription Id in which migrate project was created. |
|
api-version
|
query | True |
string |
Standard request header. Used by service to identify API version used by client. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Solutions_Get
Sample request
GET https://management.azure.com/subscriptions/75dd7e42-4fd1-4512-af04-83ad9864335b/resourceGroups/myResourceGroup/providers/Microsoft.Migrate/migrateProjects/project01/solutions/dbsolution?api-version=2018-09-01-preview
Sample response
{
"id": "/subscriptions/75dd7e42-4fd1-4512-af04-83ad9864335b/resourceGroups/myResourceGroup/providers/Microsoft.Migrate/MigrateProjects/project01/Solutions/dbsolution",
"name": "dbsolution",
"type": "Microsoft.Migrate/MigrateProjects/Solutions",
"etag": "\"1c0018c7-0000-0000-0000-5c936e530000\"",
"properties": {
"tool": "DataMigrationAssistant",
"purpose": "Assessment",
"goal": "Databases",
"status": "Active",
"cleanupState": "None",
"summary": {
"instanceType": "Databases",
"databasesAssessedCount": 0,
"databaseInstancesAssessedCount": 0,
"migrationReadyCount": 0
},
"details": {
"groupCount": 0,
"assessmentCount": 0,
"extendedDetails": {
"mykey": "myvalue"
}
}
}
}
Definitions
| Name | Description |
|---|---|
|
Databases |
Class representing the databases solution summary. |
|
Servers |
Class representing the servers solution summary. |
| Solution |
Solution REST Resource. |
|
Solution |
Class representing the details of the solution. |
|
Solution |
Class for solution properties. |
DatabasesSolutionSummary
Class representing the databases solution summary.
| Name | Type | Description |
|---|---|---|
| databaseInstancesAssessedCount |
integer (int32) |
Gets or sets the count of database instances assessed. |
| databasesAssessedCount |
integer (int32) |
Gets or sets the count of databases assessed. |
| instanceType |
string:
Databases |
Gets the Instance type. |
| migrationReadyCount |
integer (int32) |
Gets or sets the count of databases ready for migration. |
ServersSolutionSummary
Class representing the servers solution summary.
| Name | Type | Description |
|---|---|---|
| assessedCount |
integer (int32) |
Gets or sets the count of servers assessed. |
| discoveredCount |
integer (int32) |
Gets or sets the count of servers discovered. |
| instanceType |
string:
Servers |
Gets the Instance type. |
| migratedCount |
integer (int32) |
Gets or sets the count of servers migrated. |
| replicatingCount |
integer (int32) |
Gets or sets the count of servers being replicated. |
| testMigratedCount |
integer (int32) |
Gets or sets the count of servers test migrated. |
Solution
Solution REST Resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
Gets or sets the ETAG for optimistic concurrency control. |
| id |
string |
Gets the relative URL to get to this REST resource. |
| name |
string |
Gets the name of this REST resource. |
| properties |
Gets or sets the properties of the solution. |
|
| type |
string |
Gets the type of this REST resource. |
SolutionDetails
Class representing the details of the solution.
| Name | Type | Description |
|---|---|---|
| assessmentCount |
integer (int32) |
Gets or sets the count of assessments reported by the solution. |
| extendedDetails |
object |
Gets or sets the extended details reported by the solution. |
| groupCount |
integer (int32) |
Gets or sets the count of groups reported by the solution. |
SolutionProperties
Class for solution properties.
| Name | Type | Description |
|---|---|---|
| cleanupState |
enum:
|
Gets or sets the cleanup state of the solution. |
| details |
Gets or sets the details of the solution. |
|
| goal |
enum:
|
Gets or sets the goal of the solution. |
| purpose |
enum:
|
Gets or sets the purpose of the solution. |
| status |
enum:
|
Gets or sets the current status of the solution. |
| summary | SolutionSummary: |
Gets or sets the summary of the solution. |
| tool |
enum:
|
Gets or sets the tool being used in the solution. |